Subject: [GIT PULL] ARM: OMAP: hwmod/PMU/PRCM patches for 3.7

From: [email-masked] (Tony Lindgren)
Date: Sun, 23 Sep 2012 19:30:31 -0700

* Paul Walmsley <[email-masked]> [120923 18:09]:
> On Sun, 23 Sep 2012, Tony Lindgren wrote:
> 
> > Or maybe it's possible to split the series into smaller chunks
> > that can be pulled in to the existing branches without causing
> > new merge conflicts?
> 
> Well here's what I did, hopefully it's suitable.  Built a tag with all of 
> the clock and hwmod/runtime PM patches together, and based it on v3.6-rc6 
> + omap-cleanup-b-for-3.7 + cleanup-fixes-for-v3.7 + 
> omap-devel-am33xx-for-v3.7.  All of these are upstream.
> 
> Then I did a test merge with your commit 
> 219e2d6f43760509a0f0a084e8aa4711efb78c56:
> 
>   git checkout -b temp_tmlind_merge
>   git reset --hard 219e2d6f43760509a0f0a084e8aa4711efb78c56
>   git merge omap-devel-b-c-2-for-3.7
> 
> There are two conflicts, both trivial, and the patch below is how they got 
> resolved here.
> 
> Then probably you'll want to add Santosh's branch back in on top of that.

OK thanks, that should work. The nasty merge conflicts seem to have been
caused by mostly commit df3d17e0 (ARM: pmu: remove arm_pmu_type enumeration)
that easily causes a nasty mis-merge of omap_init_pmu() and omap_init_rng()
without removing omap_init_pmu() which your patches move to a different
location.

Regards,

Tony